Campaign context#
Preserve structured campaign decisions, reasoning, risks, and learnings.
Authentication required
All endpoints require a Bearer token in the
Authorization header. See the Authentication guide for setup instructions.GET /v1/campaign-context#
List structured decisions, rationale, assumptions, risks, and learnings.
bash
GET /v1/campaign-context?organization_id=1c7743a8-6410-4a9e-9f3b-2c1d5e8a4b01&campaign_id=3a8d1f56-9e42-4b7c-a1d8-6f0e2b9c4a03
Authorization: Bearer {token}Parameters#
| Name | Type | Required | Description |
|---|---|---|---|
| organizationId | string (UUID) | Required | Organization identifier. |
| campaignId | string (UUID) | Required | Unique identifier (UUID v4). |
Response#
Returns { items, totalCount, facets, _meta } with paginated results.
POST /v1/campaign-context#
Create a structured campaign decision, rationale, assumption, risk, or learning.
bash
POST /v1/campaign-context
Authorization: Bearer {token}
Content-Type: application/json
{
"organization_id": "1c7743a8-6410-4a9e-9f3b-2c1d5e8a4b01",
"campaign_id": "3a8d1f56-9e42-4b7c-a1d8-6f0e2b9c4a03",
"context_type": "...",
"title": "...",
"content": "Note content here."
}Parameters#
| Name | Type | Required | Description |
|---|---|---|---|
| organizationId | string (UUID) | Required | Organization identifier. |
| campaignId | string (UUID) | Required | Unique identifier (UUID v4). |
| contextType | 'decision' | 'rationale' | 'hypothesis' | 'assumption' | 'creative_strategy' | 'agency_recommendation' | 'impact_mechanism' | 'risk' | 'constraint' | 'learning' | 'future_recommendation' | Required | |
| title | string | Required | |
| content | string | Required | |
| authorName | string | null | — | |
| authoredAt | string | null | — |
Response#
Returns { data, _meta } with the result.
PATCH /v1/campaign-context/:id#
Update one structured campaign context entry.
bash
PATCH /v1/campaign-context/:id
Authorization: Bearer {token}Parameters#
| Name | Type | Required | Description |
|---|---|---|---|
| contextType | 'decision' | 'rationale' | 'hypothesis' | 'assumption' | 'creative_strategy' | 'agency_recommendation' | 'impact_mechanism' | 'risk' | 'constraint' | 'learning' | 'future_recommendation' | — | |
| title | string | — | |
| content | string | — | |
| authorName | string | null | — | |
| authoredAt | string | null | — | |
| id | string (UUID) | Required | Unique identifier (UUID v4). |
Response#
Returns { data, _meta } with the result.